# Interface VectorOperators.Ternary

All Superinterfaces:
  `VectorOperators.Operator`

Enclosing class:
  `VectorOperators`

public static interface VectorOperators.Ternary extends VectorOperators.Operator
Type for all lane-wise ternary (three-argument) operators, usable in expressions like `w = v0.``lanewise``(FMA, v1, v2)`.

API Note:
  User code should not implement this interface. A future release of this type may restrict implementations to be members of the same package.

## Method Summary

### Methods declared in interface VectorOperators.Operator

`arity, compatibleWith, isAssociative, isBoolean, name, operatorName, rangeType`
Modifier and Type
Method
Description
`int`
`arity()`
Returns the arity of this operator (1, 2, or 3).
`boolean`
`compatibleWith(Class<?> elementType)`
Reports whether this operator is compatible with the proposed element type.
`boolean`
`isAssociative()`
Returns the associativity of this operator.
`boolean`
`isBoolean()`
Reports whether this operator returns a boolean (a mask).
`String`
`name()`
Returns the symbolic name of this operator, as a constant in `VectorOperators`.
`String`
`operatorName()`
Returns the Java operator symbol or method name corresponding to this operator.
`Class<?>`
`rangeType()`
Reports the special return type of this operator.